/*
 * (C) Copyright 2001 by Thomas Driemeyer <thomas@bitrot.de> www.bitrot.de.
 *
 * This is free software; you can redistribute it and/or modify it under the
 * terms of the GNU Library General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will
 * be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library
 * General Public License for more details.
 */

#ifdef DESKTOP
#include <qapplication.h>
#else
#include <qpe/qpeapplication.h>
#define QApplication QPEApplication
#endif
#include <qpushbutton.h>
#include <qfont.h>
#include "gui.h"

bool vgascreen;				// big screen, 640x480 (Zaurus 6000)

int main(int argc, char **argv)
{
	QPEApplication app(argc, argv);
	vgascreen = app.desktop()->width() > 320;
	Config config;
	Window window(&config);
	window.setCaption("OTP keygen");
	app.showMainDocumentWidget(&window);
	return(app.exec());
}
